{
  "private": true,
  "resolutions": {
    "@electron/node-gyp": "https://github.com/electron/node-gyp.git"
  },
  "homepage": "https://systemec.nl",
  "name": "akartonplanning",
  "version": "2026.2.1",
  "type": "module",
  "description": "Systemec Microsoft 365 Web Desktop Wrapper made with Electron",
  "main": "./app/main.js",
  "repository": {
    "type": "git",
    "url": "https://darjeeling.systemec.nl/daanselen/akartonplanning.git"
  },
  "author": {
    "name": "Daan Selen",
    "email": "dselen@systemec.nl",
    "url": "https://systemec.nl"
  },
  "build": {
    "publish": null,
    "extraFiles": [
      "LICENSE"
    ],
    "appId": "com.daanselen.akartonplanning",
    "productName": "akartonplanning",
    "artifactName": "akartonplanning-v${version}.${ext}",
    "mac": {
      "identity": "null",
      "category": "public.app-category.office",
      "target": [
        "dmg"
      ],
      "icon": "./assets/icons/mac/icon.icns",
      "files": [
        "!node_modules/**/*.{mk,a,o,h}"
      ]
    },
    "win": {
      "target": [
        "nsis"
      ],
      "icon": "./assets/icons/win/icon.ico"
    },
    "linux": {
      "category": "Office",
      "icon": "./assets/icons/png",
      "executableName": "akartonplanning",
      "maintainer": "Daan Selen <dselen@nerthus.nl>",
      "target": [
        "deb"
      ]
    },
    "directories": {
      "output": "release"
    }
  },
  "scripts": {
    "start": "electron .",
    "build": "electron-builder --publish never",
    "pack": "electron-builder --dir",
    "dist": "electron-builder"
  },
  "license": "MIT",
  "devDependencies": {
    "electron": "^40.0.0",
    "electron-builder": "^26.0.20",
    "@malept/flatpak-bundler": "0.4.0"
  },
  "dependencies": {
    "@ghostery/adblocker-electron": "^2.11.6",
    "axios": "^1.12.2",
    "check-internet-connected": "^2.0.6",
    "cross-fetch": "^4.1.0",
    "electron-context-menu": "^4.1.1",
    "electron-dl": "^4.0.0",
    "electron-log": "^5.4.3",
    "electron-prompt": "^1.7.0",
    "electron-store": "^11.0.0",
    "electron-updater": "^6.6.8",
    "node-gyp": "^12.0.0",
    "ajv": "^8.17.1"
  },
  "packageManager": "yarn@1.22.22"
}
